Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class ATermUtils

    java.lang.Object
      org.mindswap.pellet.utils.ATermUtils

    public class ATermUtils

extends java.lang.Object

This class provides the functions ATerm related functions. Creating terms for URI's and complex class descriptions is done here. There are also functions for normalization, simplification and conversion to NNF (Normal Negation Form).

Author:
  Evren Sirin

Field Summary
`static java.lang.String` | `ALL` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `ALLDIFFERENTFUN`
`static aterm.AFun` | `ALLFUN`
`static java.lang.String` | `AND` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `ANDFUN`
`static aterm.AFun` | `ANTISYMMETRICFUN`
`static aterm.ATermAppl` | `BOTTOM`
`static aterm.ATermAppl` | `BOTTOM_LIT`
`static java.lang.String` | `CARD` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `CARDFUN` This is not used in the reasoner but kept here to be used for display
`static java.util.Set` | `CLASS_FUN`
`static java.lang.String` | `COMPLEMENT` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `COMPLEMENTFUN`
`static aterm.ATermAppl` | `CONCEPT_SAT_IND`
`static aterm.AFun` | `DIFFERENTFUN` Added for explanations
`static java.lang.String` | `DISJOINT` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `DISJOINTFUN`
`static java.lang.String` | `DISJOINTS` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `DISJOINTSFUN`
`static aterm.AFun` | `DOMAINFUN`
`static aterm.AFun` | `DPFUN`
`static aterm.ATermAppl` | `EMPTY`
`static aterm.ATermList` | `EMPTY_LIST`
`static aterm.AFun` | `EQCLASSFUN`
`static aterm.AFun` | `EQPROPFUN`
`static aterm.AFun` | `FUNCTIONALFUN`
`static java.lang.String` | `INV` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `INVFUN`
`static aterm.AFun` | `INVFUNCTIONALFUN`
`static aterm.AFun` | `INVPROPFUN`
`static aterm.AFun` | `IPFUN`
`static aterm.AFun` | `IRREFLEXIVEFUN`
`static int` | `LIT_LANG_INDEX`
`static int` | `LIT_URI_INDEX`
`static int` | `LIT_VAL_INDEX`
`static aterm.AFun` | `LITFUN`
`static java.lang.String` | `MAX` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `MAXFUN`
`static java.lang.String` | `MIN` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `MINFUN`
`static aterm.ATermAppl` | `NO_DATATYPE`
`static java.lang.String` | `NOT` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `NOTFUN`
`static aterm.ATermInt` | `ONE`
`static java.lang.String` | `OR` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `ORFUN`
`static aterm.AFun` | `PROPFUN`
`static QNameProvider` | `qnames`
`static aterm.AFun` | `RANGEFUN`
`static aterm.AFun` | `REFLEXIVEFUN`
`static java.lang.String` | `SAME` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `SAMEASFUN`
`static java.lang.String` | `SELF` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `SELFFUN`
`static java.lang.String` | `SOME` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `SOMEFUN`
`static java.lang.String` | `SUB` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `SUBFUN`
`static aterm.AFun` | `SUBPROPFUN`
`static aterm.AFun` | `SYMMETRICFUN`
`static aterm.ATermAppl` | `TOP`
`static aterm.ATermAppl` | `TOP_LIT`
`static aterm.AFun` | `TRANSITIVEFUN`
`static aterm.AFun` | `TYPEFUN`
`static java.lang.String` | `VALUE` Deprecated. Use the corresponding AFun constant instead
`static aterm.AFun` | `VALUEFUN`
`static aterm.AFun` | `VARFUN` This is used to represent variables in queries

Constructor Summary
`ATermUtils()`

Method Summary
`static void` | `assertTrue(boolean condition)`
`static java.util.Set<aterm.ATermAppl>` | `findPrimitives(aterm.ATermAppl term)`
`static java.util.Set<aterm.ATermAppl>` | `findPrimitives(aterm.ATermAppl term, boolean skipRestrictions, boolean skipTopLevel)`
`static void` | `findPrimitives(aterm.ATermAppl term, java.util.Set<aterm.ATermAppl> primitives, boolean skipRestrictions, boolean skipTopLevel)`
`static aterm.ATermFactory` | `getFactory()`
`static java.lang.String` | `getLiteralDatatype(aterm.ATermAppl literal)`
`static java.lang.String` | `getLiteralLang(aterm.ATermAppl literal)`
`static java.lang.String` | `getLiteralValue(aterm.ATermAppl literal)`
`static java.util.Set<aterm.ATermAppl>` | `getPrimitives(aterm.ATermList list)`
`static aterm.ATermAppl` | `getTop(Role r)`
`static boolean` | `isAllValues(aterm.ATermAppl a)`
`static boolean` | `isAnd(aterm.ATermAppl a)`
`static boolean` | `isAnon(aterm.ATermAppl name)`
`static boolean` | `isAnonNominal(aterm.ATermAppl term)`
`static boolean` | `isBnode(aterm.ATermAppl name)`
`static boolean` | `isBottom(aterm.ATermAppl a)`
`static boolean` | `isCard(aterm.ATermAppl a)`
`static boolean` | `isComplexClass(aterm.ATerm c)`
`static boolean` | `isDataRange(aterm.ATermAppl a)`
`static boolean` | `isHasValue(aterm.ATermAppl a)`
`static boolean` | `isInv(aterm.ATermAppl r)`
`static boolean` | `isLiteral(aterm.ATermAppl a)`
`static boolean` | `isMax(aterm.ATermAppl a)`
`static boolean` | `isMin(aterm.ATermAppl a)`
`static boolean` | `isNegatedPrimitive(aterm.ATermAppl c)`
`static boolean` | `isNominal(aterm.ATermAppl a)`
`static boolean` | `isNot(aterm.ATermAppl a)`
`static boolean` | `isOneOf(aterm.ATermAppl a)`
`static boolean` | `isOr(aterm.ATermAppl a)`
`static boolean` | `isPrimitive(aterm.ATermAppl c)`
`static boolean` | `isPrimitiveOrNegated(aterm.ATermAppl c)`
`static boolean` | `isPropertyAssertion(aterm.ATermAppl a)`
`static boolean` | `isSelf(aterm.ATermAppl a)`
`static boolean` | `isSet(aterm.ATermList list)`
`static boolean` | `isSomeValues(aterm.ATermAppl a)`
`static boolean` | `isTop(aterm.ATermAppl a)`
`static boolean` | `isTransitiveChain(aterm.ATermList chain, aterm.ATerm r)`
`static boolean` | `isTypeAssertion(aterm.ATermAppl a)`
`static boolean` | `isVar(aterm.ATermAppl a)`
`static java.util.Set` | `listToSet(aterm.ATermList list)`
`static aterm.ATermAppl` | `makeAllDifferent(aterm.ATermList list)`
`static aterm.ATermAppl` | `makeAllValues(aterm.ATerm r, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeAnd(aterm.ATerm c1, aterm.ATerm c2)`
`static aterm.ATermAppl` | `makeAnd(aterm.ATermList list)`
`static aterm.ATermAppl` | `makeAnonNominal(java.lang.String name)`
`static aterm.ATermAppl` | `makeAntisymmetric(aterm.ATerm r)`
`static aterm.ATermAppl` | `makeCard(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeComplement(aterm.ATerm a, aterm.ATerm b)`
`static aterm.ATermAppl` | `makeDifferent(aterm.ATerm a, aterm.ATerm b)`
`static aterm.ATermAppl` | `makeDisjoint(aterm.ATerm a, aterm.ATerm b)`
`static aterm.ATermAppl` | `makeDisjoints(aterm.ATermList list)`
`static aterm.ATermAppl` | `makeDisplayCard(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeDisplayMax(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeDisplayMin(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeDomain(aterm.ATerm r, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeEqClasses(aterm.ATerm a, aterm.ATerm b)`
`static aterm.ATermAppl` | `makeEqProp(aterm.ATerm r, aterm.ATerm s)`
`static aterm.ATermAppl` | `makeExactCard(aterm.ATerm r, aterm.ATermInt n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeExactCard(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeFunctional(aterm.ATerm a)`
`static aterm.ATermAppl` | `makeHasValue(aterm.ATerm r, aterm.ATerm ind)`
`static aterm.ATermAppl` | `makeInv(aterm.ATermAppl r)`
`static aterm.ATermAppl` | `makeInverseFunctional(aterm.ATerm a)`
`static aterm.ATermAppl` | `makeInvProp(aterm.ATerm r, aterm.ATerm s)`
`static aterm.ATermAppl` | `makeIrreflexive(aterm.ATerm r)`
`static aterm.ATermList` | `makeList(aterm.ATerm singleton)`
`static aterm.ATermList` | `makeList(aterm.ATerm[] aTerms)`
`static aterm.ATermList` | `makeList(aterm.ATerm first, aterm.ATermList rest)`
`static aterm.ATermList` | `makeList(java.util.Collection set)`
`static aterm.ATermAppl` | `makeLiteral(aterm.ATermAppl name)`
`static aterm.ATermAppl` | `makeMax(aterm.ATerm r, aterm.ATermInt n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeMax(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeMin(aterm.ATerm r, aterm.ATermInt n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeMin(aterm.ATerm r, int n, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeNormalizedMax(aterm.ATermAppl r, int n, aterm.ATermAppl c)`
`static aterm.ATermAppl` | `makeNot(aterm.ATerm c)`
`static aterm.ATermAppl` | `makeOr(aterm.ATermAppl c1, aterm.ATermAppl c2)`
`static aterm.ATermAppl` | `makeOr(aterm.ATermList list)`
`static aterm.ATermAppl` | `makePlainLiteral(java.lang.String value)`
`static aterm.ATermAppl` | `makePlainLiteral(java.lang.String value, java.lang.String lang)`
`static aterm.ATermAppl` | `makePropAtom(aterm.ATermAppl p, aterm.ATermAppl s, aterm.ATermAppl o)`
`static aterm.ATermAppl` | `makeRange(aterm.ATerm r, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeReflexive(aterm.ATerm r)`
`static aterm.ATermAppl` | `makeSame(aterm.ATerm a, aterm.ATerm b)` Deprecated. Use `makeEqClasses(ATerm, ATerm)` (for classes) or `makeSameAs(ATerm, ATerm)` (for individuals instead
`static aterm.ATermAppl` | `makeSameAs(aterm.ATerm a, aterm.ATerm b)`
`static aterm.ATermAppl` | `makeSelf(aterm.ATermAppl r)`
`static aterm.ATermAppl` | `makeSimplifiedAnd(java.util.Collection conjuncts)` Creates a simplified and assuming that all the elements have already been normalized.
`static aterm.ATermAppl` | `makeSomeValues(aterm.ATerm r, aterm.ATerm c)`
`static aterm.ATermAppl` | `makeSub(aterm.ATerm a, aterm.ATerm b)`
`static aterm.ATermAppl` | `makeSubProp(aterm.ATerm r, aterm.ATerm s)`
`static aterm.ATermAppl` | `makeSymmetric(aterm.ATerm r)`
`static aterm.ATermAppl` | `makeTermAppl(aterm.AFun fun, aterm.ATerm[] args)`
`static aterm.ATermAppl` | `makeTermAppl(java.lang.String name)`
`static aterm.ATermAppl` | `makeTransitive(aterm.ATerm r)`
`static aterm.ATermAppl` | `makeTypeAtom(aterm.ATermAppl ind, aterm.ATermAppl c)`
`static aterm.ATermAppl` | `makeTypedLiteral(java.lang.String value, java.lang.String dt)`
`static aterm.ATermAppl` | `makeValue(aterm.ATerm c)`
`static aterm.ATermAppl` | `makeVar(aterm.ATermAppl name)`
`static aterm.ATermAppl` | `makeVar(java.lang.String name)`
`static boolean` | `member(aterm.ATerm a, aterm.ATermList list)`
`static aterm.ATermAppl` | `negate(aterm.ATermAppl a)`
`static aterm.ATermList` | `negate(aterm.ATermList list)`
`static aterm.ATerm` | `nnf(aterm.ATerm term)`
`static aterm.ATermAppl` | `nnf(aterm.ATermAppl term)`
`static aterm.ATermList` | `nnf(aterm.ATermList list)`
`static aterm.ATermAppl` | `normalize(aterm.ATermAppl term)` Normalize the term by making following changes: or([a1, a2,..., an]) -> not(and[not(a1), not(a2), ..., not(an)]]) some(p, c) -> all(p, not(c)) max(p, n) -> not(min(p, n+1))
`static aterm.ATermList` | `normalize(aterm.ATermList list)`
`static java.util.Collection<aterm.ATermAppl>` | `normalize(java.util.Collection<aterm.ATermAppl> coll)`
`static aterm.ATermAppl` | `simplify(aterm.ATermAppl term)` Simplify the term by making following changes: and([]) -> TOP all(p, TOP) -> TOP min(p, 0) -> TOP and([a1, and([a2,...,an])]) -> and([a1, a2, ..., an])) and([a, not(a), ...]) -> BOTTOM not(C) -> not(simplify(C))
`static aterm.ATerm` | `term(java.lang.String str)`
`static aterm.ATermAppl` | `term(java.net.URI u)`
`static aterm.ATerm[]` | `toArray(aterm.ATermList list)`
`static aterm.ATermList` | `toSet(aterm.ATerm[] a, int size)`
`static aterm.ATermList` | `toSet(aterm.ATermList list)`
`static aterm.ATermList` | `toSet(java.util.Collection coll)`
`static java.lang.String` | `toString(aterm.ATermAppl term)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT

    public static final java.lang.String NOT

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### AND

    public static final java.lang.String AND

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### OR

    public static final java.lang.String OR

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### SOME

    public static final java.lang.String SOME

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### ALL

    public static final java.lang.String ALL

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### MIN

    public static final java.lang.String MIN

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### MAX

    public static final java.lang.String MAX

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### CARD

    public static final java.lang.String CARD

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### VALUE

    public static final java.lang.String VALUE

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### SELF

    public static final java.lang.String SELF

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### INV

    public static final java.lang.String INV

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### SUB

    public static final java.lang.String SUB

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### SAME

    public static final java.lang.String SAME

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### DISJOINT

    public static final java.lang.String DISJOINT

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### DISJOINTS

    public static final java.lang.String DISJOINTS

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### COMPLEMENT

    public static final java.lang.String COMPLEMENT

  Deprecated. Use the corresponding AFun constant instead
  See Also:
    Constant Field Values

### LITFUN

    public static final aterm.AFun LITFUN

### LIT_VAL_INDEX

    public static final int LIT_VAL_INDEX

See Also:
  Constant Field Values

### LIT_LANG_INDEX

    public static final int LIT_LANG_INDEX

See Also:
  Constant Field Values

### LIT_URI_INDEX

    public static final int LIT_URI_INDEX

See Also:
  Constant Field Values

### ANDFUN

    public static final aterm.AFun ANDFUN

### ORFUN

    public static final aterm.AFun ORFUN

### SOMEFUN

    public static final aterm.AFun SOMEFUN

### ALLFUN

    public static final aterm.AFun ALLFUN

### NOTFUN

    public static final aterm.AFun NOTFUN

### MAXFUN

    public static final aterm.AFun MAXFUN

### MINFUN

    public static final aterm.AFun MINFUN

### VALUEFUN

    public static final aterm.AFun VALUEFUN

### SELFFUN

    public static final aterm.AFun SELFFUN

### CARDFUN

    public static final aterm.AFun CARDFUN

  This is not used in the reasoner but kept here to be used for display

### CLASS_FUN

    public static java.util.Set CLASS_FUN

### INVFUN

    public static final aterm.AFun INVFUN

### SUBFUN

    public static final aterm.AFun SUBFUN

### EQCLASSFUN

    public static final aterm.AFun EQCLASSFUN

### SAMEASFUN

    public static final aterm.AFun SAMEASFUN

### DISJOINTFUN

    public static final aterm.AFun DISJOINTFUN

### DISJOINTSFUN

    public static final aterm.AFun DISJOINTSFUN

### COMPLEMENTFUN

    public static final aterm.AFun COMPLEMENTFUN

### VARFUN

    public static final aterm.AFun VARFUN

  This is used to represent variables in queries

### TYPEFUN

    public static final aterm.AFun TYPEFUN

### PROPFUN

    public static final aterm.AFun PROPFUN

### IPFUN

    public static final aterm.AFun IPFUN

### DPFUN

    public static final aterm.AFun DPFUN

### DIFFERENTFUN

    public static final aterm.AFun DIFFERENTFUN

  Added for explanations

### ALLDIFFERENTFUN

    public static final aterm.AFun ALLDIFFERENTFUN

### ANTISYMMETRICFUN

    public static final aterm.AFun ANTISYMMETRICFUN

### FUNCTIONALFUN

    public static final aterm.AFun FUNCTIONALFUN

### INVFUNCTIONALFUN

    public static final aterm.AFun INVFUNCTIONALFUN

### IRREFLEXIVEFUN

    public static final aterm.AFun IRREFLEXIVEFUN

### REFLEXIVEFUN

    public static final aterm.AFun REFLEXIVEFUN

### SYMMETRICFUN

    public static final aterm.AFun SYMMETRICFUN

### TRANSITIVEFUN

    public static final aterm.AFun TRANSITIVEFUN

### SUBPROPFUN

    public static final aterm.AFun SUBPROPFUN

### EQPROPFUN

    public static final aterm.AFun EQPROPFUN

### INVPROPFUN

    public static final aterm.AFun INVPROPFUN

### DOMAINFUN

    public static final aterm.AFun DOMAINFUN

### RANGEFUN

    public static final aterm.AFun RANGEFUN

### EMPTY

    public static final aterm.ATermAppl EMPTY

### EMPTY_LIST

    public static final aterm.ATermList EMPTY_LIST

### TOP

    public static final aterm.ATermAppl TOP

### BOTTOM

    public static final aterm.ATermAppl BOTTOM

### TOP_LIT

    public static final aterm.ATermAppl TOP_LIT

### BOTTOM_LIT

    public static final aterm.ATermAppl BOTTOM_LIT

### CONCEPT_SAT_IND

    public static final aterm.ATermAppl CONCEPT_SAT_IND

### ONE

    public static final aterm.ATermInt ONE

### qnames

    public static QNameProvider qnames

### NO_DATATYPE

    public static aterm.ATermAppl NO_DATATYPE

Constructor Detail

### ATermUtils

    public ATermUtils()

Method Detail

### getFactory

    public static aterm.ATermFactory getFactory()

### makeTypeAtom

    public static final aterm.ATermAppl makeTypeAtom(aterm.ATermAppl ind,
                                                     aterm.ATermAppl c)

### makePropAtom

    public static final aterm.ATermAppl makePropAtom(aterm.ATermAppl p,
                                                     aterm.ATermAppl s,
                                                     aterm.ATermAppl o)

### makePlainLiteral

    public static aterm.ATermAppl makePlainLiteral(java.lang.String value)

### makePlainLiteral

    public static aterm.ATermAppl makePlainLiteral(java.lang.String value,
                                                   java.lang.String lang)

### makeTypedLiteral

    public static aterm.ATermAppl makeTypedLiteral(java.lang.String value,
                                                   java.lang.String dt)

### makeLiteral

    public static aterm.ATermAppl makeLiteral(aterm.ATermAppl name)

### getLiteralValue

    public static java.lang.String getLiteralValue(aterm.ATermAppl literal)

### getLiteralLang

    public static java.lang.String getLiteralLang(aterm.ATermAppl literal)

### getLiteralDatatype

    public static java.lang.String getLiteralDatatype(aterm.ATermAppl literal)

### makeTermAppl

    public static aterm.ATermAppl makeTermAppl(java.lang.String name)

### makeTermAppl

    public static aterm.ATermAppl makeTermAppl(aterm.AFun fun,
                                               aterm.ATerm[] args)

### makeNot

    public static aterm.ATermAppl makeNot(aterm.ATerm c)

### term

    public static aterm.ATerm term(java.lang.String str)

### term

    public static aterm.ATermAppl term(java.net.URI u)

### negate

    public static aterm.ATermList negate(aterm.ATermList list)

### negate

    public static final aterm.ATermAppl negate(aterm.ATermAppl a)

### isAnonNominal

    public static final boolean isAnonNominal(aterm.ATermAppl term)

### makeAnonNominal

    public static final aterm.ATermAppl makeAnonNominal(java.lang.String name)

### makeVar

    public static final aterm.ATermAppl makeVar(java.lang.String name)

### makeVar

    public static final aterm.ATermAppl makeVar(aterm.ATermAppl name)

### makeValue

    public static final aterm.ATermAppl makeValue(aterm.ATerm c)

### makeInv

    public static final aterm.ATermAppl makeInv(aterm.ATermAppl r)

### makeInvProp

    public static final aterm.ATermAppl makeInvProp(aterm.ATerm r,
                                                    aterm.ATerm s)

### makeSub

    public static final aterm.ATermAppl makeSub(aterm.ATerm a,
                                                aterm.ATerm b)

### makeSame

    public static final aterm.ATermAppl makeSame(aterm.ATerm a,
                                                 aterm.ATerm b)

  Deprecated. Use `makeEqClasses(ATerm, ATerm)` (for classes) or `makeSameAs(ATerm, ATerm)` (for individuals instead

### makeEqClasses

    public static final aterm.ATermAppl makeEqClasses(aterm.ATerm a,
                                                      aterm.ATerm b)

### makeSameAs

    public static final aterm.ATermAppl makeSameAs(aterm.ATerm a,
                                                   aterm.ATerm b)

### makeSubProp

    public static final aterm.ATermAppl makeSubProp(aterm.ATerm r,
                                                    aterm.ATerm s)

### makeEqProp

    public static final aterm.ATermAppl makeEqProp(aterm.ATerm r,
                                                   aterm.ATerm s)

### makeDomain

    public static final aterm.ATermAppl makeDomain(aterm.ATerm r,
                                                   aterm.ATerm c)

### makeRange

    public static final aterm.ATermAppl makeRange(aterm.ATerm r,
                                                  aterm.ATerm c)

### makeComplement

    public static final aterm.ATermAppl makeComplement(aterm.ATerm a,
                                                       aterm.ATerm b)

### makeDisjoint

    public static final aterm.ATermAppl makeDisjoint(aterm.ATerm a,
                                                     aterm.ATerm b)

### makeDisjoints

    public static final aterm.ATermAppl makeDisjoints(aterm.ATermList list)

### makeDifferent

    public static final aterm.ATermAppl makeDifferent(aterm.ATerm a,
                                                      aterm.ATerm b)

### makeAllDifferent

    public static final aterm.ATermAppl makeAllDifferent(aterm.ATermList list)

### makeAntisymmetric

    public static final aterm.ATermAppl makeAntisymmetric(aterm.ATerm r)

### makeFunctional

    public static final aterm.ATermAppl makeFunctional(aterm.ATerm a)

### makeInverseFunctional

    public static final aterm.ATermAppl makeInverseFunctional(aterm.ATerm a)

### makeIrreflexive

    public static final aterm.ATermAppl makeIrreflexive(aterm.ATerm r)

### makeReflexive

    public static final aterm.ATermAppl makeReflexive(aterm.ATerm r)

### makeSymmetric

    public static final aterm.ATermAppl makeSymmetric(aterm.ATerm r)

### makeTransitive

    public static final aterm.ATermAppl makeTransitive(aterm.ATerm r)

### makeAnd

    public static final aterm.ATermAppl makeAnd(aterm.ATerm c1,
                                                aterm.ATerm c2)

### makeAnd

    public static aterm.ATermAppl makeAnd(aterm.ATermList list)

### makeOr

    public static final aterm.ATermAppl makeOr(aterm.ATermAppl c1,
                                               aterm.ATermAppl c2)

### makeOr

    public static aterm.ATermAppl makeOr(aterm.ATermList list)

### makeAllValues

    public static final aterm.ATermAppl makeAllValues(aterm.ATerm r,
                                                      aterm.ATerm c)

### makeSomeValues

    public static final aterm.ATermAppl makeSomeValues(aterm.ATerm r,
                                                       aterm.ATerm c)

### makeSelf

    public static final aterm.ATermAppl makeSelf(aterm.ATermAppl r)

### makeHasValue

    public static final aterm.ATermAppl makeHasValue(aterm.ATerm r,
                                                     aterm.ATerm ind)

### makeNormalizedMax

    public static final aterm.ATermAppl makeNormalizedMax(aterm.ATermAppl r,
                                                          int n,
                                                          aterm.ATermAppl c)

### makeMax

    public static final aterm.ATermAppl makeMax(aterm.ATerm r,
                                                int n,
                                                aterm.ATerm c)

### makeMax

    public static final aterm.ATermAppl makeMax(aterm.ATerm r,
                                                aterm.ATermInt n,
                                                aterm.ATerm c)

### makeMin

    public static final aterm.ATermAppl makeMin(aterm.ATerm r,
                                                int n,
                                                aterm.ATerm c)

### makeMin

    public static final aterm.ATermAppl makeMin(aterm.ATerm r,
                                                aterm.ATermInt n,
                                                aterm.ATerm c)

### makeDisplayCard

    public static final aterm.ATermAppl makeDisplayCard(aterm.ATerm r,
                                                        int n,
                                                        aterm.ATerm c)

### makeDisplayMax

    public static final aterm.ATermAppl makeDisplayMax(aterm.ATerm r,
                                                       int n,
                                                       aterm.ATerm c)

### makeDisplayMin

    public static final aterm.ATermAppl makeDisplayMin(aterm.ATerm r,
                                                       int n,
                                                       aterm.ATerm c)

### makeCard

    public static final aterm.ATermAppl makeCard(aterm.ATerm r,
                                                 int n,
                                                 aterm.ATerm c)

### makeExactCard

    public static final aterm.ATermAppl makeExactCard(aterm.ATerm r,
                                                      int n,
                                                      aterm.ATerm c)

### makeExactCard

    public static final aterm.ATermAppl makeExactCard(aterm.ATerm r,
                                                      aterm.ATermInt n,
                                                      aterm.ATerm c)

### makeList

    public static final aterm.ATermList makeList(aterm.ATerm singleton)

### makeList

    public static final aterm.ATermList makeList(aterm.ATerm first,
                                                 aterm.ATermList rest)

### makeList

    public static aterm.ATermList makeList(java.util.Collection set)

### makeList

    public static final aterm.ATermList makeList(aterm.ATerm[] aTerms)

### member

    public static final boolean member(aterm.ATerm a,
                                       aterm.ATermList list)

### isSet

    public static boolean isSet(aterm.ATermList list)

### toSet

    public static aterm.ATermList toSet(aterm.ATermList list)

### toSet

    public static aterm.ATermList toSet(aterm.ATerm[] a,
                                        int size)

### toSet

    public static aterm.ATermList toSet(java.util.Collection coll)

### toString

    public static java.lang.String toString(aterm.ATermAppl term)

### toArray

    public static aterm.ATerm[] toArray(aterm.ATermList list)

### assertTrue

    public static final void assertTrue(boolean condition)

### isPrimitive

    public static final boolean isPrimitive(aterm.ATermAppl c)

### isNegatedPrimitive

    public static final boolean isNegatedPrimitive(aterm.ATermAppl c)

### isPrimitiveOrNegated

    public static final boolean isPrimitiveOrNegated(aterm.ATermAppl c)

### isBnode

    public static final boolean isBnode(aterm.ATermAppl name)

### isAnon

    public static final boolean isAnon(aterm.ATermAppl name)

### listToSet

    public static java.util.Set listToSet(aterm.ATermList list)

### getPrimitives

    public static java.util.Set<aterm.ATermAppl> getPrimitives(aterm.ATermList list)

### getTop

    public static final aterm.ATermAppl getTop(Role r)

### isTop

    public static final boolean isTop(aterm.ATermAppl a)

### isBottom

    public static final boolean isBottom(aterm.ATermAppl a)

### isInv

    public static final boolean isInv(aterm.ATermAppl r)

### isAnd

    public static final boolean isAnd(aterm.ATermAppl a)

### isOr

    public static final boolean isOr(aterm.ATermAppl a)

### isAllValues

    public static final boolean isAllValues(aterm.ATermAppl a)

### isSomeValues

    public static final boolean isSomeValues(aterm.ATermAppl a)

### isSelf

    public static final boolean isSelf(aterm.ATermAppl a)

### isHasValue

    public static final boolean isHasValue(aterm.ATermAppl a)

### isNominal

    public static final boolean isNominal(aterm.ATermAppl a)

### isOneOf

    public static final boolean isOneOf(aterm.ATermAppl a)

### isDataRange

    public static final boolean isDataRange(aterm.ATermAppl a)

### isNot

    public static final boolean isNot(aterm.ATermAppl a)

### isMax

    public static final boolean isMax(aterm.ATermAppl a)

### isMin

    public static final boolean isMin(aterm.ATermAppl a)

### isCard

    public static final boolean isCard(aterm.ATermAppl a)

### isLiteral

    public static final boolean isLiteral(aterm.ATermAppl a)

### isVar

    public static final boolean isVar(aterm.ATermAppl a)

### isTransitiveChain

    public static final boolean isTransitiveChain(aterm.ATermList chain,
                                                  aterm.ATerm r)

### isComplexClass

    public static boolean isComplexClass(aterm.ATerm c)

### isPropertyAssertion

    public static final boolean isPropertyAssertion(aterm.ATermAppl a)

### isTypeAssertion

    public static final boolean isTypeAssertion(aterm.ATermAppl a)

### nnf

    public static aterm.ATerm nnf(aterm.ATerm term)

### nnf

    public static aterm.ATermList nnf(aterm.ATermList list)

### nnf

    public static aterm.ATermAppl nnf(aterm.ATermAppl term)

### normalize

    public static java.util.Collection<aterm.ATermAppl> normalize(java.util.Collection<aterm.ATermAppl> coll)

### normalize

    public static aterm.ATermList normalize(aterm.ATermList list)

### normalize

    public static aterm.ATermAppl normalize(aterm.ATermAppl term)

  Normalize the term by making following changes:
  - or([a1, a2,..., an]) -> not(and[not(a1), not(a2), ..., not(an)]])
  - some(p, c) -> all(p, not(c))
  - max(p, n) -> not(min(p, n+1))

  Parameters:
    `term` -
  Returns:

### simplify

    public static aterm.ATermAppl simplify(aterm.ATermAppl term)

  Simplify the term by making following changes:
  - and([]) -> TOP
  - all(p, TOP) -> TOP
  - min(p, 0) -> TOP
  - and([a1, and([a2,...,an])]) -> and([a1, a2, ..., an]))
  - and([a, not(a), ...]) -> BOTTOM
  - not(C) -> not(simplify(C))

  Parameters:
    `term` -
  Returns:

### makeSimplifiedAnd

    public static aterm.ATermAppl makeSimplifiedAnd(java.util.Collection conjuncts)

  Creates a simplified and assuming that all the elements have already been normalized.

  Parameters:
    `conjuncts` -
  Returns:

### findPrimitives

    public static java.util.Set<aterm.ATermAppl> findPrimitives(aterm.ATermAppl term)

### findPrimitives

    public static java.util.Set<aterm.ATermAppl> findPrimitives(aterm.ATermAppl term,
                                                                boolean skipRestrictions,
                                                                boolean skipTopLevel)

### findPrimitives

    public static void findPrimitives(aterm.ATermAppl term,
                                      java.util.Set<aterm.ATermAppl> primitives,
                                      boolean skipRestrictions,
                                      boolean skipTopLevel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.